```toml
[advisory]
id = "RUSTSEC-2021-0120"
package = "abomonation"
date = "2021-10-17"
url = "https://github.com/TimelyDataflow/abomonation/issues/23"
categories = []
keywords = []
informational = "unsound"
aliases = ["CVE-2021-45708", "GHSA-5vwc-r48g-wj6c", "GHSA-hfxp-p695-629x"]

[versions]
patched = []
```

# abomonation transmutes &T to and from &[u8] without sufficient constraints

This transmute is at the core of the abomonation crates. It's so easy to use it to violate alignment requirements that no test in the crate's test suite passes under miri.
The use of this transmute in serialization/deserialization also incorrectly assumes that the layout of a repr(Rust) type is stable.
This transmute can also disclose both the contents of padding bytes which may be an information leak and the contents of pointers, which may be used to defeat ASLR.
