```toml
[advisory]
id = "RUSTSEC-2020-0132"
package = "array-tools"
date = "2020-12-31"
url = "https://github.com/L117/array-tools/issues/2"
categories = ["memory-corruption"]
aliases = ["CVE-2020-36452", "GHSA-6wp2-fw3v-mfmc"]
cvss = "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"

[versions]
patched = [">= 0.3.2"]
```

# `FixedCapacityDequeLike::clone()` can cause dropping uninitialized memory

Affected versions of this crate don't guard against panics, so that partially uninitialized buffer is dropped when user-provided `T::clone()` panics in `FixedCapacityDequeLike<T, A>::clone()`. This causes memory corruption.
