```toml
[advisory]
id = "RUSTSEC-2021-0011"
package = "fil-ocl"
aliases = ["CVE-2021-25908", "GHSA-x3v2-fgr6-3wmm"]
cvss = "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
date = "2021-01-04"
url = "https://github.com/cogciprocate/ocl/issues/194"
categories = ["memory-corruption"]
keywords = ["memory-safety", "double-free"]

[versions]
patched = []
unaffected = ["< 0.12.0"]
```

# EventList's From<EventList> conversions can double drop on panic.

Affected versions of this crate read from a container using `ptr::read` in
`From<EventList>`, and then call a user specified `Into<Event>` function.

This issue can result in a double-free if the user provided function panics.
