```toml
[advisory]
id = "RUSTSEC-2022-0090"
package = "libsqlite3-sys"
date = "2022-08-03"
url = "https://nvd.nist.gov/vuln/detail/CVE-2022-35737"
categories = ["denial-of-service", "code-execution"]
aliases = ["CVE-2022-35737", "GHSA-jw36-hf63-69r9"]
cvss = "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"

[versions]
patched = [">= 0.25.1"]
```

# `libsqlite3-sys` via C SQLite CVE-2022-35737

It was sometimes possible for SQLite versions >= 1.0.12, < 3.39.2 to allow an array-bounds overflow when large string were input into SQLite's `printf` function.

As `libsqlite3-sys` bundles SQLite, it is susceptible to the vulnerability. `libsqlite3-sys` was updated to bundle the patched version of SQLite [here](https://github.com/rusqlite/rusqlite/releases/tag/sys0.25.1).
