```toml
[advisory]
id = "RUSTSEC-2024-0357"
package = "openssl"
date = "2024-07-21"
url = "https://github.com/sfackler/rust-openssl/pull/2266"

[affected]
functions = { "openssl::bio::MemBio::get_buf" = ["< 0.10.66, >=0.8.0"] }

[versions]
patched = [">= 0.10.66"]
```

# `MemBio::get_buf` has undefined behavior with empty buffers

Previously, `MemBio::get_buf` called `slice::from_raw_parts` with a null-pointer, which violates the functions invariants, leading to undefined behavior. In debug builds this would produce an assertion failure. This is now fixed.
