```toml
[advisory]
id = "RUSTSEC-2018-0012"
package = "orion"
aliases = ["CVE-2018-20999", "GHSA-gffv-5hr2-f9gj"]
cvss = "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
date = "2018-12-20"
url = "https://github.com/brycx/orion/issues/46"

[versions]
patched = [">= 0.11.2"]
```

# Flaw in streaming state reset() functions can create incorrect results.

Affected versions of this crate did not properly reset a streaming state.

Resetting a streaming state, without finalising it first, creates incorrect results.
 
The flaw was corrected by not first checking if the state had already been reset, when calling reset().
