```toml
[advisory]
id = "RUSTSEC-2019-0005"
package = "pancurses"
aliases = ["CVE-2019-15546", "GHSA-m57c-4vvx-gjgq"]
cvss = "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N"
date = "2019-06-15"
url = "https://github.com/RustSec/advisory-db/issues/106"

[affected.functions]
"pancurses::mvprintw" = [">= 0"]
"pancurses::printw" = [">= 0"]

[versions]
patched = []
```

# Format string vulnerabilities in `pancurses`

`pancurses::mvprintw` and `pancurses::printw` passes a pointer from a rust `&str` to C,
allowing hostile input to execute a format string attack, which trivially allows writing
arbitrary data to stack memory.
