```toml
[advisory]
id = "RUSTSEC-2017-0001"
package = "sodiumoxide"
aliases = ["CVE-2017-1000168", "GHSA-2wc6-2rcj-8v76"]
cvss = "CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N"
date = "2017-01-26"
keywords = ["cryptography"]
url = "https://github.com/dnaq/sodiumoxide/issues/154"

[versions]
patched = [">= 0.0.14"]
```

# scalarmult() vulnerable to degenerate public keys

The `scalarmult()` function included in previous versions of this crate
accepted all-zero public keys, for which the resulting Diffie-Hellman shared
secret will always be zero regardless of the private key used.

This issue was fixed by checking for this class of keys and rejecting them
if they are used.
