```toml
[advisory]
id = "RUSTSEC-2022-0006"
package = "thread_local"
categories = ["memory-corruption"]
date = "2022-01-23"
url = "https://github.com/Amanieu/thread_local-rs/issues/33"
aliases = ["GHSA-9hpw-r23r-xgm5"]

[versions]
patched = [">= 1.1.4"]
```

# Data race in `Iter` and `IterMut`

In the affected version of this crate, `{Iter, IterMut}::next` used a weaker memory ordering when loading values than what was required, exposing a potential data race
when iterating over a `ThreadLocal`'s values.

Crates using `Iter::next`, or `IterMut::next` are affected by this issue.
