```toml
[advisory]
id = "RUSTSEC-2022-0054"
package = "wee_alloc"
date = "2022-05-11"
url = "https://github.com/rustwasm/wee_alloc/issues/107"
references = ["https://www.reddit.com/r/rust/comments/x1cle0/dont_use_wee_alloc_in_production_code_targeting/", "https://github.com/rustwasm/wee_alloc/issues/85", "https://github.com/rustwasm/wee_alloc/issues/106"]
informational = "unmaintained"
aliases = ["GHSA-rc23-xxgq-x27g"]

[versions]
patched = []
```

# wee_alloc is Unmaintained

Two of the maintainers have indicated that the crate may not be maintained.

The crate has open issues including memory leaks and may not be suitable for production use.

It may be best to switch to the default Rust standard allocator on wasm32 targets.

Last release seems to have been three years ago.

## Possible Alternative(s)

 The below list has not been vetted in any way and may or may not contain alternatives;

 - Rust standard [default allocator] on wasm32-target

## Honorable Mention(s)

 The below may serve to educate on potential future alternatives:

 - [lol_alloc](https://crates.io/crates/lol_alloc)

[default allocator]: https://github.com/alexcrichton/dlmalloc-rs
